/* ------------------------------------------------------------------------------
  File: UM6_startup.h
  Author: CH Robotics
  Version: 1.0
  
  Description: Function declarations for UM6 initialization
------------------------------------------------------------------------------ */ 

#ifndef __UM6_STARTUP_H
#define __UM6_STARTUP_H

#define USART1_DR_Base     ((uint32_t)0x40013804)
#define USART2_DR_Base     ((uint32_t)0x40004404)

#define I2C1_DR_Address        0x40005410

#define	I2C_CLOCK_SPEED			400000
#define	THIS_SLAVE_ADDRESS7		0x30

// Function declarations
void Initialize_UM6(void);
void RCC_Configuration(void);
void NVIC_Configuration(void);
void GPIO_Configuration(void);
void USART1_Configuration( int baud );
void USART2_Configuration(int baud);

#endif