/* ------------------------------------------------------------------------------
  File: chr6dm_HMC.h
  Author: CH Robotics
  Version: 1.0
  
  Description: Preprocessor definitions and function declarations for chr6dm_HMC.c
------------------------------------------------------------------------------ */ 

#ifndef	__CHR6DM_HMC
#define __CHR6DM_HMC

// HMC5843 function calls
int32_t initializeHMC( uint8_t* status_flag );
int32_t getHMCData( void );

#define	MAG_SLAVE_ADDRESS7	0x3C

#define 	HMC_REG0_FAILED 		1
#define 	HMC_REG1_FAILED		2
#define 	HMC_REG2_FAILED		3	

#define 	HMC_REG_CRA			0x00
#define		HMC_REG_CRB			0x01
#define		HMC_REG_MR			0x02

extern uint8_t gHMC_Initialized;

#endif
