/* ------------------------------------------------------------------------------
  File: util.h
  Author: CH Robotics
  Version: 1.0
  
  Description: Misc. utilities
------------------------------------------------------------------------------ */ 
#ifndef __UTIL_H
#define __UTIL_H

#include "stm32f10x.h"

uint32_t print_float( float value, uint8_t decimal_places, char* buffer, uint8_t max_length );
uint32_t print_unsigned( uint32_t value, uint32_t length_override, char* buffer, uint8_t max_length );
uint32_t print_signed( int32_t value, uint32_t length_override, char* buffer, uint8_t max_length );
uint32_t print_hex( uint32_t value, uint8_t length_override, char* buffer, uint8_t max_length );

#endif
